Skip to main content
POST
Register a spec (benchmark) manifest

Authorizations

X-API-Key
string
header
required

Organization API key

Path Parameters

bench_id
string
required

Query Parameters

agent_id
string | null

The benchmark's agent ID. Provide agent_id or agent_name for both new benchmarks and appends.

Maximum string length: 64
Pattern: ^agt_[a-z0-9]+$
agent_name
string | null

The benchmark's agent name. Provide agent_id or agent_name for both new benchmarks and appends.

Maximum string length: 256
Pattern: \S
bench_type
enum<string>
default:benchmark

The kind of benchmark push: a real benchmark or a holodeck draft.

Available options:
benchmark,
holodeck_benchmark

Body

application/json
name
string
required
Required string length: 3 - 1024
Pattern: ^[A-Za-z0-9 ._-]+$
tasks
TaskSpec · object[]
required
Minimum array length: 1
description
string
default:""
visibility
enum<string>
default:private
Available options:
public,
private
runtime
RuntimeSpec · object | null

Response

Successful Response

bench_id
string
required
name
string
required
task_count
integer
required
failed_tasks
BenchmarkTaskWriteFailure · object[]
warnings
string[]

Provider resource adjustments made before ingestion.